<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org">
  <head>
    <meta charset="utf-8" />
    <title>Home</title>
    <link rel="stylesheet" href="../../css/bootstrap.min.css" />
  </head>

  <body>
    <div class="container">
      <div class="row">
        <div class="col-6">
          <a href="/bidList/list">Bid List</a>&nbsp;|&nbsp;
          <a href="/curvePoint/list">Curve Points</a>&nbsp;|&nbsp;
          <a href="/rating/list">Ratings</a>&nbsp;|&nbsp;
          <a href="/trade/list">Trade</a>&nbsp;|&nbsp;
          <a href="/ruleName/list">Rule</a>&nbsp;|&nbsp;
          <a
            th:if="${#authorization.expression('hasRole(''ROLE_ADMIN'')')}"
            href="/user/list"
          >
            User</a
          >
        </div>
        <div class="col-6 text-right">
          Logged in user: <b th:inline="text" class="user"> [[${username}]]</b>
          <form th:action="@{/logout}" method="POST">
            <input type="submit" value="Logout" />
          </form>
        </div>
      </div>
      <div class="row">
        <h2>Rule List</h2>
      </div>
      <div class="row">
        <a href="/ruleName/add" class="btn btn-primary btn-sm">Add New</a>
        <table class="table table-bordered">
          <thead>
            <tr>
              <th>Id</th>
              <th>Name</th>
              <th>Description</th>
              <th>json</th>
              <th>template</th>
              <th>sql</th>
              <th>sqlPart</th>
              <th>Action</th>
            </tr>
          </thead>
          <tbody>
            <tr th:each="rulename : ${rulenames}">
              <td th:text="${rulename.id}"></td>
              <td th:text="${rulename.name}"></td>
              <td th:text="${rulename.description}"></td>
              <td th:text="${rulename.json}"></td>
              <td th:text="${rulename.template}"></td>
              <td th:text="${rulename.sqlStr}"></td>
              <td th:text="${rulename.sqlPart}"></td>
              <td style="width: 15%" class="text-center">
                <a th:href="@{/ruleName/update/{id}(id=${rulename.id})}">Edit</a
                >&nbsp;|&nbsp;
                <a th:href="@{/ruleName/delete/{id}(id=${rulename.id})}"
                  >Delete</a
                >
              </td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
  </body>
</html>
